diff -u clamav-0.97.8+dfsg/debian/clamav-daemon.postinst.in clamav-0.97.8+dfsg/debian/clamav-daemon.postinst.in
--- clamav-0.97.8+dfsg/debian/clamav-daemon.postinst.in
+++ clamav-0.97.8+dfsg/debian/clamav-daemon.postinst.in
@@ -104,7 +104,7 @@
 
         # Reload the profile, including any abstraction updates
         if aa-status --enabled 2>/dev/null; then
-            apparmor_parser -r -T -W "$APP_PROFILE" || true
+            apparmor_parser -r "$APP_PROFILE" || true
         fi
     fi
 fi
diff -u clamav-0.97.8+dfsg/debian/clamav-freshclam.postinst.in clamav-0.97.8+dfsg/debian/clamav-freshclam.postinst.in
--- clamav-0.97.8+dfsg/debian/clamav-freshclam.postinst.in
+++ clamav-0.97.8+dfsg/debian/clamav-freshclam.postinst.in
@@ -54,7 +54,7 @@
 
         # Reload the profile, including any abstraction updates
         if aa-status --enabled 2>/dev/null; then
-            apparmor_parser -r -T -W "$APP_PROFILE" || true
+            apparmor_parser -r "$APP_PROFILE" || true
         fi
     fi
 fi
@@ -181,7 +181,6 @@
     echo "$min */$cronhour * * *    $dbowner [ -x /usr/bin/freshclam ] && /usr/bin/freshclam --quiet >/dev/null" > "$FRESHCLAMTEMP"
     ucf_cleanup "$FRESHCLAMCRON"
     ucf_upgrade_check "$FRESHCLAMCRON" "$FRESHCLAMTEMP" /var/lib/ucf/cache/:etc:cron.d:clamav-freshclam
-    rm -f "${FRESHCLAMCRON}.ucf-dist"
     rm -f "$FRESHCLAMTEMP"
   else
     if [ -e /etc/cron.d/clamav-freshclam ]; then
diff -u clamav-0.97.8+dfsg/debian/rules clamav-0.97.8+dfsg/debian/rules
--- clamav-0.97.8+dfsg/debian/rules
+++ clamav-0.97.8+dfsg/debian/rules
@@ -10,16 +10,18 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-CFLAGS = `dpkg-buildflags --get CFLAGS`
-CFLAGS += -Wall
-CXXFLAGS = `dpkg-buildflags --get CXXFLAGS`
-CXXFLAGS += -Wall
-LDFLAGS = `dpkg-buildflags --get LDFLAGS`
-CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
-
+CFLAGS = -Wall -g
+CXXFLAGS = -Wall -g
 DEBUG_OPTS=
 STRIP_OPTS=
 
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+	CXXFLAGS += -O0
+else
+	CFLAGS += -O2
+	CXXFLAGS += -O2
+endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
         STRIP_OPTS += dh_strip --dbg-package=clamav-dbg -p$@
@@ -36,6 +38,10 @@
   endif
 endif
 
+ifeq ($(DEB_HOST_ARCH),lpia)
+  export enable_llvm=no
+endif
+
 config.status: configure
 	dh_testdir
 	egrep '^#[[:alpha:]]' etc/clamd.conf | sed -e 's/^#//' | awk '{print $$1}' | while read opt; do \
@@ -57,7 +63,7 @@
 	  fi;\
 	done;
 	# Add here commands to configure the package.
-	./configure CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-clamav --with-dbdir=/var/lib/clamav/ --sysconfdir=/etc/clamav --enable-milter --disable-clamuko --with-gnu-ld --enable-dns-fix ${DEBUG_OPTS} --disable-unrar --libdir=\$${prefix}/lib --with-system-tommath  --without-included-ltdl
+	./configure --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-clamav --with-dbdir=/var/lib/clamav/ --sysconfdir=/etc/clamav --enable-milter --disable-clamuko --with-gnu-ld --enable-dns-fix ${DEBUG_OPTS} --disable-unrar --libdir=\$${prefix}/lib --with-system-tommath  --with-ltdl-include=/usr/include --with-ltdl-lib=/usr/lib
 
 build: build-stamp
 build-stamp: build-arch build-indep
@@ -90,14 +96,19 @@
 	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-freshclam.postinst.in > debian/clamav-freshclam.postinst
 	touch build-arch-stamp
 ifeq ($(with_check),yes)
+ifneq (,$(filter hppa, $(shell dpkg-architecture -qDEB_BUILD_ARCH)))
+	@echo "Ignoring errors because of test timeouts on Hardy hppa"
+	-$(MAKE) check
+else
 ifneq (,$(filter alpha, $(shell dpkg-architecture -qDEB_BUILD_ARCH)))
 	@echo "Ignoring errors because of #521737"
-	-$(MAKE) check VERBOSE=1
+	-$(MAKE) check
 else
 ifneq (,$(filter ia64 sparc, $(shell dpkg-architecture -qDEB_BUILD_ARCH)))
-	$(MAKE) check EF_ALIGNMENT=8 VERBOSE=1
+	$(MAKE) check EF_ALIGNMENT=8
 else
-	$(MAKE) check VERBOSE=1
+	$(MAKE) check
+endif
 endif
 endif
 else
@@ -194,7 +205,7 @@
 	
 	touch install-arch-stamp
 
-clamav-dbg: libclamav6
+clamav-dbg:
 	dh_testdir
 	dh_testroot
 	dh_installdocs -p$@
@@ -305,7 +316,6 @@
 	dh_installdocs -p$@
 	dh_install -X.svn -p$@
 	dh_installchangelogs -p$@ ChangeLog 
-	dh_lintian -p$@
 	${STRIP_OPTS}
 	dh_compress -p$@
 	dh_makeshlibs -V -p$@
diff -u clamav-0.97.8+dfsg/debian/changelog clamav-0.97.8+dfsg/debian/changelog
--- clamav-0.97.8+dfsg/debian/changelog
+++ clamav-0.97.8+dfsg/debian/changelog
@@ -1,4 +1,4 @@
-clamav (0.97.8+dfsg-1ubuntu1.13.04.1) raring-security; urgency=low
+clamav (0.97.8+dfsg-1ubuntu1.08.04.1) hardy-security; urgency=low
 
   [ Seth Arnold ]
   * SECURITY UPDATE: Updated to 0.97.8 to fix multiple security issues.
@@ -9,8 +9,24 @@
     - Drop build-dep on electric-fence (in Universe)
     - Add apparmor profiles for clamd and freshclam along with maintainer
       script changes
+  * Changes to adapt to Hardy:
+    - Build without llvm support on lpia to fix FTBFS (not a regression as
+      llvm has never built on hardy lpia)
+    - Drop -T -W from apparmor_parser calls in clamav-daemon and freshclam
+      postinsts since it is not supported in Hardy's apparmor
+    - Drop deny rule in freshclam apparmor profile since deny is not
+      supported in Hardy's apparmor
+    - Drop dh_lintian from debian/rules and adjust version of debhelper
+      build-dep
+    - Drop build-dep and libclamav-dev depends on non-existent libtommath-dev
+    - Changed Section to 'utils' for clamav-dbg package
+    - Ignore test suite errors on hppa
+    - Build-depend on libltdl3-dev instead of libltdl-dev
+    - Drop hardening flags changes
+    - Drop unneeded versioning on lsb-base (clamav ships it's own status
+      function)
 
- -- Scott Kitterman <scott@kitterman.com>  Thu, 25 Apr 2013 23:41:55 -0400
+ -- Scott Kitterman <scott@kitterman.com>  Thu, 02 May 2013 22:49:13 -0400
 
 clamav (0.97.8+dfsg-1) unstable; urgency=medium
 
diff -u clamav-0.97.8+dfsg/debian/usr.bin.freshclam clamav-0.97.8+dfsg/debian/usr.bin.freshclam
--- clamav-0.97.8+dfsg/debian/usr.bin.freshclam
+++ clamav-0.97.8+dfsg/debian/usr.bin.freshclam
@@ -36,8 +36,6 @@
   /{,var/}run/clamav/freshclam.pid w,
   /{,var/}run/clamav/clamd.ctl w,
 
-  deny /{,var/}run/samba/{gencache,unexpected}.tdb mrwkl,
-
   # Site-specific additions and overrides. See local/README for details.
   #include <local/usr.bin.freshclam>
 }
diff -u clamav-0.97.8+dfsg/debian/control clamav-0.97.8+dfsg/debian/control
--- clamav-0.97.8+dfsg/debian/control
+++ clamav-0.97.8+dfsg/debian/control
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
 Uploaders: Stephen Gran <sgran@debian.org>, Michael Meskes <meskes@debian.org>, Michael Tautschnig <mt@debian.org>, Scott Kitterman <scott@kitterman.com>
-Build-Depends: debhelper (>= 6.0.7), po-debconf, zlib1g-dev, libbz2-dev, libmilter-dev, perl, bc, check, libtommath-dev, libltdl-dev, libncurses5-dev, python
+Build-Depends: debhelper (>= 5), po-debconf, zlib1g-dev, libbz2-dev, libmilter-dev, perl, bc, check, libltdl3-dev, libncurses5-dev, python
 Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/pkg-clamav/clamav.git
 Vcs-Browser: http://git.debian.org/?p=pkg-clamav/clamav.git;a=summary
@@ -46,7 +46,7 @@
 Architecture: any
 Depends: libclamav6, clamav (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Priority: extra
-Section: debug
+Section: utils
 Description: debug symbols for ClamAV
  Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
  this software is the integration with mail servers (attachment
@@ -93,7 +93,7 @@
 Package: libclamav-dev
 Section: libdevel
 Architecture: any
-Depends: libclamav6 (= ${binary:Version}), libssl-dev, libidn11-dev, libc6-dev | libc-dev, zlib1g-dev, libbz2-dev, libtommath-dev, ${misc:Depends}
+Depends: libclamav6 (= ${binary:Version}), libssl-dev, libidn11-dev, libc6-dev | libc-dev, zlib1g-dev, libbz2-dev, ${misc:Depends}
 Description: anti-virus utility for Unix - development files
  Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
  this software is the integration with mail servers (attachment
@@ -129,7 +129,7 @@
 
 Package: clamav-daemon
 Architecture: any
-Depends: ${shlibs:Depends}, clamav-base (= ${source:Version}), clamav-freshclam | clamav-data, lsb-base (>= 3.2-13), ucf, ${misc:Depends}
+Depends: ${shlibs:Depends}, clamav-base (= ${source:Version}), clamav-freshclam | clamav-data, lsb-base, ucf, ${misc:Depends}
 Suggests: daemon, clamav-docs, apparmor (>= 2.3+1289)
 Description: anti-virus utility for Unix - scanner daemon
  Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
@@ -169,7 +169,7 @@
 Conflicts: clamav-data, libclamav3, libclamav2
 Provides: clamav-data
 Suggests: clamav-docs, apparmor (>= 2.3+1289)
-Depends: ${misc:Depends}, clamav-base (>= ${source:Version}), ${shlibs:Depends}, ucf, logrotate, lsb-base (>= 3.2-13)
+Depends: ${misc:Depends}, clamav-base (>= ${source:Version}), ${shlibs:Depends}, ucf, logrotate, lsb-base
 Description: anti-virus utility for Unix - virus database update utility
  Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
  this software is the integration with mail servers (attachment
@@ -188,7 +188,7 @@
 Suggests: daemon, clamav-docs
 Priority: extra
 Recommends: clamav-daemon
-Depends: ${shlibs:Depends}, clamav-base (>= ${source:Version}), clamav-freshclam | clamav-data, lsb-base (>= 3.2-13), ${misc:Depends}, adduser, ucf, logrotate
+Depends: ${shlibs:Depends}, clamav-base (>= ${source:Version}), clamav-freshclam | clamav-data, lsb-base, ${misc:Depends}, adduser, ucf, logrotate
 Description: anti-virus utility for Unix - sendmail integration
  Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
  this software is the integration with mail servers (attachment
